Pianificazione dell'esecuzione di operazioni ripetitive

L'Utilità di pianificazione è uno strumento che consente di pianificare l'esecuzione di programmi, quali l'Utilità di deframmentazione dischi, a intervalli regolari e nei momenti che si ritengono più opportuni. L'Utilità di pianificazione viene avviata ogni volta che si avvia Windows ed è eseguita in background.

Per aprire l'Utilità di pianificazione, è inoltre possibile fare clic suStart, scegliere Programmi, Accessori, Utilità di sistema e infine fare clic su Operazioni pianificate.

Utilizzando l'Utilità di pianificazione è possibile:

  • Pianificare l'esecuzione di un'operazione a intervalli quotidiani, settimanali, mensili o in coincidenza con determinati eventi, ad esempio all'avvio del computer o quando questo è inattivo.
  • Modificare la pianificazione o annullare l'esecuzione di un'operazione esistente.
  • Personalizzare la modalità di esecuzione di un'operazione all'orario pianificato.


Per pianificare una nuova operazione

  1. Fare clic sul pulsante Start, scegliere Programmi, Accessori, Utilità di sistemae quindi fare clic su Operazioni pianificate.
  2. Fare doppio clic su Aggiungi operazione pianificata.
  3. Seguire le istruzioni della Pianificazione guidata.

    4. Se si desidera configurare impostazioni avanzate per l'operazione che si sta aggiungendo, ad esempio per ripetere più volte l'operazione ogni volta che viene eseguita, selezionare la casella di controllo Apri le proprietà avanzate per questa operazione quando si sceglie Fine nell'ultima finestra della procedura guidata.

Note

  • Se il programma associato all'operazione richiede l'impostazione di parametri specifici, selezionare la casella di controllo Apri le proprietà avanzate per questa operazione quando si sceglie Fine nell'ultima finestra della procedura guidata, fare clic sulla scheda Operazione e digitare i parametri desiderati nella casella Esegui dopo il percorso dell'operazione.
  • Un'operazione pianificata viene eseguita anche se nessun utente accede a Windows, a patto che il computer sia acceso. Se non si desidera che vengano eseguite operazioni pianificate quando nessun utente è collegato, aprire la cartella Operazioni pianificate prima di chiudere la sessione e scegliere Disattiva l'Utilità di pianificazione dal menu Avanzate. Per utilizzare di nuovo l'Utilità di pianificazione dopo aver eseguito un nuovo accesso, aprire la cartella Operazioni pianificate e scegliere Avvia l'Utilità di pianificazione dal menu Avanzate.
  • Assicurarsi che la data e l'ora di sistema siano esatte, poiché tali informazioni verranno utilizzate per avviare le operazioni pianificate. Per modificare la data e l'ora, fare doppio clic sull'ora visualizzata sulla barra delle applicazioni.

Argomenti correlati


Per modificare un'operazione pianificata

  1. Fare clic sul pulsante Start, scegliere Programmi, Accessori, Utilità di sistemae quindi fare clic su Operazioni pianificate.
  2. Fare clic con il pulsante destro del mouse sull'operazione da modificare, quindi scegliere Proprietà.
  3. Eseguire una o più delle operazioni seguenti:
    • Per cambiare il programma da eseguire, nella casella Esegui digitare il percorso dell'operazione o fare clic su Sfoglia.
    • Per modificare la pianificazione dell'operazione, fare clic sulla scheda Pianificazione.
    • Per personalizzare le impostazioni dell'operazione, fare clic sulla scheda Impostazioni.

Note

  • Se il programma associato all'operazione richiede l'impostazione di parametri specifici, digitarli nella casella Esegui dopo il percorso dell'operazione.
  • Se il percorso del programma associato all'operazione contiene spazi, racchiudere l'intero percorso tra virgolette (").

Argomenti correlati


Per eliminare un'operazione pianificata

  1. Fare clic sul pulsante Start, scegliere Programmi, Accessori, Utilità di sistemae quindi fare clic su Operazioni pianificate.
  2. Fare clic con il pulsante destro del mouse sull'operazione da eliminare, quindi scegliere Elimina.

Nota

  • L'eliminazione di un'operazione pianificata rimuove semplicemente l'operazione dall'elenco, ma il programma associato all'operazione non viene eliminato dal computer.


Per interrompere un'operazione pianificata in fase di esecuzione

  1. Fare clic sul pulsante Start, scegliere Programmi, Accessori, Utilità di sistemae quindi fare clic su Operazioni pianificate.
  2. Fare clic con il pulsante destro del mouse sull'operazione da interrompere, quindi scegliere Termina operazione.

Note

  • Se un'operazione pianificata avvia un altro programma, questo comando interromperà l'esecuzione solo dell'operazione originale, non del programma da essa avviato.
  • Per riavviare un'operazione, fare clic sull'operazione con il pulsante destro del mouse, quindi scegliere Esegui.
  • Un'operazione pianificata verrà eseguita anche nel caso in cui nessun utente abbia eseguito l'accesso a Windows, a patto che il computer sia acceso. Se non si desidera che vengano eseguite operazioni pianificate quando nessun utente è collegato, aprire la cartella Operazioni pianificate prima di chiudere la sessione e scegliere Disattiva l'Utilità di pianificazione dal menu Avanzate. Per utilizzare di nuovo l'Utilità di pianificazione dopo aver eseguito un nuovo accesso, aprire la cartella Operazioni pianificate e scegliere Avvia l'Utilità di pianificazione dal menu Avanzate.

Argomenti correlati


Per eseguire un'operazione immediatamente

  1. Fare clic sul pulsante Start, scegliere Programmi, Accessori, Utilità di sistemae quindi fare clic su Operazioni pianificate.
  2. Fare clic con il pulsante destro del mouse sull'operazione che si desidera avviare, quindi scegliere Esegui.

Note

  • Per interrompere l'esecuzione di un'operazione, scegliere Termina operazione pianificata dal menu File.
  • Se un'operazione non viene eseguita all'orario pianificato, verificarne il motivo nel registro. Scegliere Visualizza registro dal menu Avanzate.

Argomenti correlati


Per visualizzare i dettagli relativi alle precedenti operazioni pianificate

  1. Fare clic sul pulsante Start, scegliere Programmi, Accessori, Utilità di sistemae quindi fare clic su Operazioni pianificate.
  2. Scegliere Visualizza registro dal menu Avanzate.


Per visualizzare operazioni pianificate su un computer remoto

  1. Fare doppio clic sull'icona Risorse di rete.
  2. Fare doppio clic sul computer di cui si desidera visualizzare le operazioni pianificate.
  3. Fare doppio clic sulla cartella Operazioni pianificate.

Nota

  • Le operazioni pianificate su un computer remoto possono essere modificate solo se in tale computer è installato il servizio di registro remoto e se è configurata la condivisione x$, dove x è il disco rigido contenente la cartella Operazioni pianificate. È inoltre necessario che nel computer sia specificamente assegnato il diritto di accesso al registro remoto all'account utente utilizzato per l'accesso. Per indicare quali utenti dispongono del diritto di accesso al registro remoto di un computer, fare doppio clic sull'icona Password nel Pannello di controllo.


Per disattivare temporaneamente tutte le operazioni pianificate

  1. Fare clic sul pulsante Start, scegliere Programmi, Accessori, Utilità di sistemae quindi fare clic su Operazioni pianificate.
  2. Scegliere Sospendi l'Utilità di pianificazione dal menu Avanzate.

    La sospensione può risultare utile se si sta eseguendo un altro programma, ad esempio un gioco, oppure se si sta installando un programma e si desidera evitare che vengano effettuate contemporaneamente operazioni pianificate.

Note

  • Le operazioni che avrebbero dovuto essere eseguite mentre l'Utilità di pianificazione è sospesa saranno avviate al successivo orario pianificato.
  • Per ripristinare le pianificazioni di tutte le operazioni, scegliere Ripristina l'Utilità di pianificazione dal menu Avanzate.

Argomenti correlati


Per disattivare l'Utilità di pianificazione

  1. Fare clic sul pulsante Start, scegliere Programmi, Accessori, Utilità di sistemae quindi fare clic su Operazioni pianificate.
  2. Scegliere Disattiva l'Utilità di pianificazione dal menu Avanzate.

Nota

  • Se si disattiva l'Utilità di pianificazione, le operazioni pianificate non verranno eseguite e l'utilità non verrà avviata automaticamente la prossima volta che si avvierà Windows.

Argomenti correlati


Risoluzione dei problemi relativi all'Utilità di pianificazione

Se un'operazione pianificata non viene eseguita quando stabilito, fare clic su di essa con il pulsante destro del mouse nell'elenco delle operazioni, quindi scegliere Proprietà. Assicurarsi che nella scheda Operazione la casella di controllo Attivata sia selezionata. Assicurarsi inoltre che le opzioni nella scheda Pianificazione siano configurate correttamente.

Se un programma associato a un'operazione non viene eseguito correttamente, è possibile che sia necessario specificare alcuni argomenti per il comando. Per ulteriori informazioni su un comando e i relativi argomenti, provare a effettuare una delle operazioni che seguono.

  • Se il programma dispone di una Guida in linea, vedere l'argomento corrispondente.
  • Digitare quanto segue al prompt dei comandi, dove programma corrisponde al nome del programma:
    programma /?


Per aprire la cartella Operazioni pianificate

  • Fare clic sul pulsante Start, scegliere Programmi, Accessori, Utilità di sistemae quindi fare clic su Operazioni pianificate.

Argomenti correlati